MySQL not installed


#1

Hello,

A couple of sites installed with EasyEngine stopped working recently. It was working initially for a few months though and no update was made to server recently.

ee info command gives me the following

Tried to install stack again using ee stack install and got the following error.

PHP already installed
Postfix is already installed
WP-CLI is already installed
Adding repository for MySQL, please wait...
Updating apt-cache, please wait...
Oops Something went wrong!!
Check logs for reason `tail /var/log/ee/ee.log` & Try Again!!!

The result for tail /var/log/ee/ee.log is

2017-08-22 05:49:34,053 (INFO) ee : Initializing EasyEngine Database
2017-08-22 05:49:45,520 (DEBUG) ee : loading template file /usr/lib/ee/templates/info_nginx.mustache
2017-08-22 05:49:47,209 (DEBUG) ee : loading template file /usr/lib/ee/templates/info_php.mustache
2017-08-22 05:49:47,361 (DEBUG) ee : Running command: mysqladmin ping
2017-08-22 05:49:47,386 (DEBUG) ee : Command Output: , 
Command Error: mysqladmin: connect to server at 'localhost' failed
error: 'Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111 "Connection refused")'
Check that mysqld is running and that the socket: '/var/run/mysqld/mysqld.sock' exists!

2017-08-22 05:49:47,387 (ERROR) ee : MySQL is not installed

Any thoughts or leads ?


#2

Try to update mysql, it’s maybe due to the repository GPG keys :

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv 3050AC3CD2AE6F03

then

ee stack upgrade --mysql 

#3

Thanks @virtubox for the reply.

I updated the key and ran the stack upgrade command. There seems to be some other issue now.

ee stack upgrade --mysql
During package update process non nginx-cached parts of your site may remain down
Do you want to continue:[y/N]y
Updating packages, please wait...
Oops Something went wrong!!
Check logs for reason `tail /var/log/ee/ee.log` & Try Again!!! 

The logs give me the following.

Hit http://mirrors.digitalocean.com precise-updates/main Translation-en
Hit http://mirrors.digitalocean.com precise-updates/multiverse Translation-en
Hit http://mirrors.digitalocean.com precise-updates/restricted Translation-en
Hit http://mirrors.digitalocean.com precise-updates/universe Translation-en
Hit http://mirrors.digitalocean.com precise-backports/main Translation-en
Hit http://mirrors.digitalocean.com precise-backports/multiverse Translation-en
Hit http://mirrors.digitalocean.com precise-backports/restricted Translation-en
Hit http://mirrors.digitalocean.com precise-backports/universe Translation-en
2017-08-23 04:25:36,105 (INFO) ee : Oops Something went wrong!!
2017-08-23 04:25:36,106 (ERROR) ee : Check logs for reason `tail /var/log/ee/ee.log` & Try Again!!!

#4

Hello @arjunskumar47, are you still running on Ubuntu 12.04 LTS ?


#5

Yes, It was an old machine being used since long and never bothered to update.

12.04.5 LTS


#6

Ubuntu 12.04 LTS is not updated anymore since the 28th April 2017, you should migrate to a clean install as soon as possible to avoir security issues.


#7

Alright. Do you think that might be having some relation with the issue I’m facing?


#8

I’m not sure, but repository for 12.04 are probably not working anymore.


#9

Thanks @virtubox. I’m looking for resources to upgrade to 16.04 on the same Digital Ocean droplet.


#10

Not a good idea with Ubuntu, upgrade between LTS version are often a source of issues. Just order another droplet and migrate your content.


#11

Alright. I’ll check on that. Thanks again @virtubox


#12

The issue was resolved once I restarted the machine. Another thing that I noticed was the CPU usage was at 100% for a very long time


#13